import { checkPW } from '@/services/safety';
import { UnityAction } from '@/utils/utils';
import { Modal } from 'antd';
import md5 from 'md5';
import { useState } from 'react';
import styles from './index.less';
const backIcon = require('@/assets/keyRemove.png');

const CommandModal = () => {
  const keys = [1, 2, 3, 4, 5, 6, 7, 8, 9, '清空', 0, 12];
  const [values, setValues] = useState([]);

  const handlerClick = (key) => {
    if (key == 12) {
      const newValues = [...values];
      setValues(newValues.splice(0, values.length - 1));
    } else if (key == '清空') {
      setValues([]);
    } else {
      const newValues = [...values, key];
      setValues(newValues);
      if (newValues.length == 8) handleCheckPw(newValues.join(''));
    }
  };
  const handleCheckPw = async (value) => {
    const pw = md5(value);
    const res = await checkPW({ pw });
    if (res) {
      UnityAction.sendMsg();
      // message.success('已切换成【控制模式】');
    }
  };
  return (
    <div className={styles.modelMain}>
      <Modal
        title="请输入口令"
        cancelText="取消"
        okText="确定"
        width={640}
        open={true}
        footer={null}
        closable={false}
      >
        <div className={styles.upContent}>
          {new Array(8).fill('').map((item, idx) => (
            <div className={styles.upItem}>{values[idx]}</div>
          ))}
        </div>
        <div className={styles.numContent}>
          {keys.map((item) => {
            let comment = <div></div>;
            if (item == 12) {
              comment = (
                <div
                  className={styles.numberItem}
                  onClick={() => handlerClick(item)}
                >
                  <img src={backIcon} />
                </div>
              );
            } else {
              comment = (
                <div
                  className={`${styles.numberItem} ${
                    item == '清空' ? styles.remove : ''
                  }`}
                  onClick={() => handlerClick(item)}
                >
                  {item}
                </div>
              );
            }
            return comment;
          })}
        </div>
      </Modal>
    </div>
  );
};

export default CommandModal;
