import { stringify } from 'qs';
import { request } from 'umi';
export async function queryDevice(params = {}) {
  params.DepId = localStorage.depId;
  return request(
    `/api/v1/device/list/${params.ProjectId}?${stringify(params)}`,
  );
}
export async function queryDeviceList(ProjectId) {
  return request(`/api/v1/device-pad/list/${ProjectId}`);
}

export async function queryRepairRecord(params = {}) {
  const res = await request(
    `/api/v1/repair-record/list/${params.recordId}?${stringify(params)}`,
  );
  return { data: res.data?.list };
}
export async function queryMaintainRecord(params = {}) {
  const res = await request(
    `/api/v1/maintain-record/list/${params.recordId}?${stringify(params)}`,
  );
  return { data: res.data?.list };
}
export async function removePurchaseRequestBillFileById(params) {
  return request(
    `/api/v1/purchase_bill/file/${params.FileId}?ops=${params.ops}`,
    {
      method: 'DELETE',
    },
  );
}
export async function getFileList(params) {
  return request(
    `/api/v1/purchase_bill/device_file/${params.billId}/${params.deviceCode}/${
      params.fileType
    }?${stringify(params)}`,
  );
}
export async function getOpsFileType(ProjectId) {
  return request(`/api/v1/file-service/${ProjectId}/folders/transfer`);
}
export async function removeProjectFile(params) {
  return request(`/api/v1/project-file/${params.fileId}/?ops=${params.ops}`, {
    method: 'DELETE',
  });
}
export async function getConFileList(params) {
  return request(
    `/api/v1/device/item-code/${params.projectId}/${params.code}?${stringify(
      params,
    )}`,
  );
}
